package com.ynet.life.controller;

import com.ynet.gene.core.Context;
import com.ynet.gene.core.GENEConstance;
import com.ynet.gene.session.Session;
import com.ynet.gene.web.servlet.ModelAndView;
import com.ynet.gene.web.servlet.mvc.GENEFlowExecuteResult;
import com.ynet.gene.web.servlet.view.JSPView;
import com.ynet.life.base.LifeConstants;
import com.ynet.life.base.Trace;
import com.ynet.life.exception.TranFailException;
import java.util.HashMap;
import java.util.Map;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

/* loaded from: com_ynet_life_controller.jar:com/ynet/life/controller/VariableReplyPageController.class */
public class VariableReplyPageController extends LifeRequestController {
    private static final String REPLY_PAGE_FIELD = "replyPage";

    @Override // com.ynet.life.controller.LifeRequestController
    public ModelAndView doRequest(HttpServletRequest request, HttpServletResponse response) throws Exception {
        if (this.openMonitor) {
            this.accessInfo.newAccess();
        }
        Session session = doSessionCheck(request, response);
        if (session == null) {
            Trace.logError("LifeSession", "Session not exist or timeout");
            throw LifeConstants.EXCEPTION_SESSION_TIMEOUT;
        }
        Context sessionContext = (Context) session.getAttribute(GENEConstance.ATTR_CONTEXT);
        if (sessionContext != null) {
            preActionWork(request, sessionContext);
        }
        if (this.inputView == null) {
            Map model = new HashMap();
            GENEFlowExecuteResult result = executeGENELogic(sessionContext, request, response);
            model.put(GENEConstance.ATTR_CONTEXT, result.context);
            JSPView variableView = new JSPView();
            String jspPath = (String) result.context.getDataValue(REPLY_PAGE_FIELD);
            variableView.setUrl(jspPath);
            return new ModelAndView(model, variableView);
        }
        return null;
    }

    @Override // com.ynet.life.controller.LifeRequestController
    protected void preActionWork(HttpServletRequest request, Context sessionContext) throws TranFailException {
        LifeAccessCenter.checkSubmitTimestamp(request, sessionContext);
    }
}
